# =========================================================================== #
# === IUPAC_aminoacids_code.md
#
# Taken from:
#
#   https://www.bioinformatics.org/sms2/iupac.html
#
# This file stores information about aminoacids - their one-letter code
# and their corresponding three-letter code.
# =========================================================================== #

Amino Acid Code:  Three letter Code:  Amino Acid:
----------------  ------------------  -----------
A ............... Ala ............... Alanine
B ............... Asx ............... Aspartic acid or Asparagine
C ............... Cys ............... Cysteine
D ............... Asp ............... Aspartic Acid
E ............... Glu ............... Glutamic Acid
F ............... Phe ............... Phenylalanine
G ............... Gly ............... Glycine
H ............... His ............... Histidine
I ............... Ile ............... Isoleucine
K ............... Lys ............... Lysine
L ............... Leu ............... Leucine
M ............... Met ............... Methionine
N ............... Asn ............... Asparagine
P ............... Pro ............... Proline
Q ............... Gln ............... Glutamine
R ............... Arg ............... Arginine
S ............... Ser ............... Serine
T ............... Thr ............... Threonine
V ............... Val ............... Valine
W ............... Trp ............... Tryptophan
X ............... Xaa ............... Any amino acid (also called "undetermined amino acid")
Y ............... Tyr ............... Tyrosine
Z ............... Glx ............... Glutamine or Glutamic acid
