#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Note that this was once thought to test all of the bioroebe project,
# but I have since then changed my mind, and instead started to
# create other test*.rb files that test specific subcomponents
# instead. But perhaps one day we can put this all back together again.
# =========================================================================== #
require 'colours/everything/autoinclude'
require 'bioroebe'

e Bioroebe.rev+'The base directory for the Bioroebe project is at:'
e
e '  '+sfancy(Bioroebe.base_directory?)
e

e 'Did we manage to require the project namespace? '+
   Object.const_defined?(:Bioroebe).to_s

e 'The version of Bioroebe is: '+sfancy(Bioroebe.version.to_s)

input = 'ATCGNNNNOOO' # Nucleotide Input.
e 'The input is:               '+sfancy(input)
e 'This has been changed to:   '+sfancy(Bioroebe.to_dna(input))