#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# We test the Bioroebe::Taxonomy sub-component next.
# =========================================================================== #
require 'cliner'
require 'colours/autoinclude'
require 'bioroebe'

e
e 'Now testing the Bioroebe::Taxonomy sub-component.'
e
e '01) First, we verify that the SQL structures are proper:'
Bioroebe::Taxonomy.verify_proper_sql_structures
e '02) Next, we test Bioroebe::Taxonomy.status:'
Bioroebe::Taxonomy.status
e '03) Next, we test Bioroebe::Taxonomy.status?:'
Bioroebe::Taxonomy.status?
e '04) Next, we test Bioroebe::Taxonomy.update:'
Bioroebe::Taxonomy.update
e